%define anolis_release 1
%undefine _hardened_build
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir   %{moduledir}/drivers

Name:		xorg-x11-drv-vmware
Version:	13.3.0
Release:	%{anolis_release}%{?dist}
Summary:	Xorg X11 vmware video driver

License:	MIT
URL:		http://www.x.org
Source0:	https://ftp.x.org/pub/individual/driver/xf86-video-vmware-%{version}.tar.bz2

Patch0:         0000-saa-Build-compatibility-with-xserver-1.20.patch
Patch1:         0001-vmwgfx-Fix-XVideo-memory-leaks.patch
Patch2:         0002-vmwgfx-Fix-a-memory-leak.patch
Patch3:         0003-vmwgfx-Fix-invalid-memory-accesses-in-CloseScreen.patch
Patch1000:	1000-fix-build-gcc-12.patch

ExclusiveArch:  x86_64

BuildRequires:	make
BuildRequires:	autoconf automake libtool
BuildRequires:	xorg-x11-server-devel >= 1.10.99.902
BuildRequires:	libdrm-devel pkgconfig(xext) pkgconfig(x11)
BuildRequires:	mesa-libxatracker-devel >= 8.0.1
BuildRequires:	systemd-devel
Requires:	Xorg %(xserver-sdk-abi-requires ansic)
Requires:	Xorg %(xserver-sdk-abi-requires videodrv)
Requires:	libxatracker >= 8.0.1

%description
X.Org X11 vmware video driver.

%prep
%autosetup -n xf86-video-vmware-%{version} -p1

%build
autoreconf -v --install || exit 1
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{driverdir}/vmware_drv.so
%{_mandir}/man4/vmware.4*

%changelog
* Fri Apr 22 2022 happy_orange <songnannan@linux.alibaba.com> - 13.3.0-1
- Init package from upstream
